Another Bad Acekard

Discussion in 'Acekard' started by EvilAmarant7x, Mar 20, 2010.

  1. EvilAmarant7x
    OP

    EvilAmarant7x Newbie

    Newcomer
    1
    Mar 20, 2010
    United States
    So apparently I didn't investigate as well as I thought, and bought an Acekard 2.1 and got in the mail today to find out that it doesn't work. I tried reading through all the threads of people discussing various methods they've tried to get them to work, but I didn't see anything other then using the 4.07 firmware? Did I miss anything? Should I attempt to return the 2.1 and get a 2i (Will a 2i work on an old DS without hassle)? Is there any possibility of a fix in the near future? I'm just frustrated because not only did I apparently pay too much for the 2.1 (as DealExtreme wasn't listed as an official retailer I didn't check) I now have a defective product that doesn't work, and at best I have to pay to return the product and pay the price difference to get the 2i. [​IMG]
     
  2. Nikolay

    Nikolay GBAtemp Fan

    Member
    3
    Mar 19, 2010
    United States
    Acekard 2i works on DS/DSL/DSi
     
  3. Leonidas

    Leonidas GBAtemp Fan

    Member
    1
    Aug 27, 2009
    Slovenia
    sLOVEnia
    There are some rumors that there will be a new kernel for those "defective" 2.1's. I cannot really say if this is true or not, but you really should've bought the 2i instead.
     
  1. This site uses cookies to help personalise content, tailor your experience and to keep you logged in if you register.
    By continuing to use this site, you are consenting to our use of cookies.
    Dismiss Notice